Zuviel Werbung? - > Hier kostenlos beim SPS-Forum registrieren

Ergebnis 1 bis 4 von 4

Thema: e!COCKPIT und CODESYS 3 und OSCAT Kompatibilität

  1. #1
    Registriert seit
    04.07.2014
    Beiträge
    18
    Danke
    7
    Erhielt 1 Danke für 1 Beitrag

    Standard


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Hallo Community,

    Ich hätte gerne gewusst ob die Oscat-Bibliotheken (Network 1.21 und Basic 3.33) für CODESYS 3 bzw e!COCKPIT von Wago kompatibel sind ?

    Und ob die Codesys 3 Projekte bzw. Bibliotheken aus der CODESYS.Store mit e!COCKPIT kompatibel sind ?

    Danke im Voraus

    Lawkan
    Zitieren Zitieren e!COCKPIT und CODESYS 3 und OSCAT Kompatibilität  

  2. #2
    Registriert seit
    29.01.2015
    Ort
    Hansastraße 27, 32423 Minden
    Beiträge
    136
    Danke
    7
    Erhielt 67 Danke für 20 Beiträge

    Standard

    Hallo lawkan,

    grundsätzlich ist es möglich CoDeSys 2.3 Bibliotheken zu konvertieren, sollten Abhängigkeiten zu anderen Bibliotheken bestehen müssen diese ebenfalls hinzugefügt und entsprechend verknüpft werden.

    Für CODESYS 3 Bibliotheken sind zusätzlich die Systemvoraussetzungen zu beachten! Die OSCAT-Bibliotheken sind im CODESYS Store vorhanden und können verwendet werden.
    Bei dieser Bibliothek handelt es sich um eine Portierung der OSCAT BASIC Library für CODESYS V3.
    Quelle: http://store.codesys.com/oscat-basic...ktbeschreibung


    Ihr/Euer

    WAGO Support Team
    WAGO Kontakttechnik GmbH & Co. KG
    http://www.wago.com

    mailto:support@wago.com
    phone: +49 (0) 571 887 - 555

  3. #3
    Registriert seit
    26.01.2015
    Beiträge
    14
    Danke
    1
    Erhielt 1 Danke für 1 Beitrag

    Standard

    Hallo lawkan,

    die OSCAT Bibliotheken für Codesys 3 vom CODESYS Store kann man in e!COCKPIT einbinden.

    Bei mir ist aber nicht die vollständige Funktion gegeben. z.B. funktionieren die Jalousie-Bausteine "Blind Night" und "Blind Control" ordnungsgemäß - aber beim Einfügen des Oscat-Bausteins "Blind Shade" erhalte ich sofort folgende Fehlermeldung: "Der Index war außerhalb des Arraybereichs". Der Wago Support konnte mir bisher auch noch nicht weiterhelfen.

    Schöne Grüße,
    annD

  4. #4
    Registriert seit
    29.09.2014
    Ort
    Hessen
    Beiträge
    102
    Danke
    4
    Erhielt 22 Danke für 20 Beiträge

    Standard


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Zitat Zitat von http://www.oscat.de/
    [..]OSCAT entwickelt die OSCAT.LIB, welche im Open Source vorliegt [..]. Sie sind natürlich herzlich eingeladen, an der Weiterentwicklung der OSCAT.LIB teilzunehmen. [..]

    Die OSCAT-LIB ist Zielsystem und Hersteller unabhängig [..]

    Neben einer umfassenden Bibliothek für verschiedene Zielsysteme bietet OSCAT auch Dokumentation und Support für die verfügbaren Bausteine.
    Hast du denn schonmal in die Bibliothek hineingeschaut? (Es soll Anwender geben, die nicht zu wissen scheinen, dass diese Quelloffen sind )
    Bei solch "mächtigen" Bibliotheken können natürlich auf unterschiedlichen Plattformen Kompatibilitäsprobleme auftauchen, dann wäre es ein leichtes in die Bibliothek zu schauen, vorallem wenn man diese Bibliothek anwendet!

    Zitat Zitat von annD Beitrag anzeigen
    "Der Index war außerhalb des Arraybereichs". Der Wago Support konnte mir bisher auch noch nicht weiterhelfen.
    Stell deine Frage doch mal im OSCAT-Forum, eventuell ist dort schon was bekannt.
    If you always do what you’ve always done, you’ll always get what you’ve always got.
    „Wer immer tut, was er schon kann, bleibt immer das, was er schon ist.“

    Henry Ford

Ähnliche Themen

  1. Step 7 Kompatibilität - Analogkarte und Messumformer?
    Von Eraser im Forum Simatic
    Antworten: 9
    Letzter Beitrag: 21.08.2013, 22:32
  2. Protool und Windows 7 Kompatibilität
    Von Djombo im Forum HMI
    Antworten: 1
    Letzter Beitrag: 24.10.2012, 18:01
  3. Antworten: 6
    Letzter Beitrag: 25.03.2012, 23:37
  4. Kompatibilität ABB Freelance und Siemens
    Von Fede70 im Forum Simatic
    Antworten: 4
    Letzter Beitrag: 01.04.2011, 07:47
  5. Kompatibilität zwischen Step7 5.3 und 5.4
    Von Promoter im Forum Simatic
    Antworten: 6
    Letzter Beitrag: 08.02.2007, 17:20

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •